# Add Multiple Travelers

Send the Add Traveler request to add multiple travelers to the reservation workbench. Traveler information can include traveler name and contact details. Traveler information can include traveler name and contact details, add traveler-specific remarks including certain SSRs and travel documents such as a passport.
Use air/book/traveler/reservationworkbench/{workbenchID}/travelers when adding exactly one traveler.

Endpoint: POST /air/book/traveler/reservationworkbench/{ReservationResource_Identifier}/travelers/list
Version: 11.35.2
Security: bearerAuth

## Path parameters:

  - `ReservationResource_Identifier` (string, required)
    The Reservation Identifier that you wish to add Travelers to

## Header parameters:

  - `TraceId` (string)
    Identifier used to correlate Air API invocations across a multi-call business flows.

  - `XAUTH_TRAVELPORT_ACCESSGROUP` (string)
    Identifies the Travelport access group with which the caller is associated

  - `travelportPlusSessionIdentifier` (string)
    travelportPlusSessionIdentifier used to maintain an established agency session

  - `TVP-PCC-Core` (string)
    Allows user to pass PCC instead of Access Group ID

## Request fields (application/json):

  - `Traveler` (array, required)

  - `Traveler.@type` (string, required)
    Discriminator classes TravelerID or Traveler
    Example: Traveler

  - `Traveler.id` (string)

  - `Traveler.TravelerRef` (string)

  - `Traveler.Identifier` (object)
    A globally unique identifier key often used to reference a given option (such as Pricing, Booking, Rules, or additional workflows) or to retrieve information (such as Hotel pagination).

  - `Traveler.Identifier.value` (string)
    Unique offer identifier that can be sent in subsequent payload requests to reference this offer.
When used for reference flight calls, the CatalogProductOfferingsIdentifier will be the transaction identifier from the Search, Next Leg Search, or Flight Specific Search response in CatalogProductOfferings/Identifier/value.
If you choose to pull the CatalogProductOfferingsIdentifier from the Price response instead (OfferListResponse/Identifier/value), either full or reference payload, please note for subsequent Add Offer requests you must remove the _PC appended to the end of the value in the AirPrice response (e.g., change value: '93d2091d-3d04-48ab-8091-6ae1525f02ea_PC' to value: '93d2091d-3d04-48ab-8091-6ae1525f02ea').
When building an AirPrice or Add Offer reference payload request:
- Look for the CatalogProductOfferingIdentifier (ex: o1) in a Search response at CatalogProductOfferings/CatalogProductOffering/id or a Price response at OfferListResponse/OfferID/id.
- Look for the ProductIdentifier (ex: p0) in a Search response at CatalogProductOfferings/CatalogProductOffering/ProductBrandOptions/ProductBrandOffering/Product/productRef or from a Price response at OfferListResponse/OfferID/Product/id.

When returned from a Workbench, this value is the workbench identifier that must be sent in all subsequent requests for this workbench session.
When returned from Air Exchange Eligibility, value is the ticket number sent with the eligibility request.
When used specifically for form of payment, the value will begin with the characters 'FOP'. Similarly, the OfferIdentifier associated will begin with the character 'O'.
For Hotel Create Reservation (Reference Payload), send the value from the Availability response in CatalogOffering/id or the value from SearchComplete returned in propertyItems/lowestPublicAvailableRate/rateKey/value.
Results from Hotel Availability and Hotel SearchComplete are stored in the cache for 30 minutes. If the offers expire before booking, you must send a new request.
    Example: A0656EFF-FAF4-456F-B061-0161008D7C4E

  - `Traveler.Identifier.authority` (string)
    Name of the supplier system that created this identifier - the source of information.  
For AirPrice, please note that GDS offers return the value 'Travelport' in authority while NDC offers return the carrier code of the issuing NDC carrier.  
When returned from Air Exchange Eligibility, authority is always 'Travelport' as the transaction issuer.  
For Hotels, authority indicates which supplier returned the lowest available rate for that property: either 'TVPT' (Travelport) or 'BKNG' (booking.com). Booking.com access requires additional provisioning and a direct agreement with the supplier. Authority is not returned if the property is closed or returns an error.  
For Hotel Create Reservation (Full Payload) and Sync Reservation send the value from the Availability response in CatalogOffering/Identifier/authority for the instance you want to book.
    Example: TVPT

  - `Traveler.birthDate` (string)
    Date of birth in YYYY-MM-DD format.
The TripServices APIs require this object only for infant and child PTC types (e.g., INF, INS, CHD, UNN).
When sending [minimum secure flight information](https://developer.travelport.com/docs/flights/guides/booking-and-reservations/remarks-and-service-requests#minimum-secure-flight-information-ssr-docs), which is required by some carriers, this object is required for all PTCs.
    Example: 2021-06-05

  - `Traveler.gender` (string)
    Gender Type Male, Female etc.
When sending [minimum secure flight information](https://developer.travelport.com/docs/flights/guides/booking-and-reservations/remarks-and-service-requests#minimum-secure-flight-information-ssr-docs) in the Traveler object, which is required by some carriers, this object is required for all PTCs.
This field is not used by Hotel APIs and will be ignored.
    Enum: "Male", "Female", "Unknown", "Undisclosed"

  - `Traveler.PersonName` (object, required)
    Travelport+ limits the combination of Given and Surname to 22 characters. Given name must have at least one character. Any PersonName exceeding 22 characters is truncated in the response.

  - `Traveler.PersonName.@type` (string, required)
    Discriminator classes PersonName or PersonNameDetail
    Example: PersonNameDetail

  - `Traveler.PersonName.Prefix` (string)
    Salutation of honorific (e.g. Mr., Mrs., Ms., Miss, Dr.)
    Example: Mr

  - `Traveler.PersonName.Given` (string)
    Traveler first or given name.
    Example: John

  - `Traveler.PersonName.Middle` (string)
    Traveler middle name.
    Example: Erick

  - `Traveler.PersonName.Surname` (string, required)
    Traveler last name or surname.
    Example: Smith

  - `Traveler.Address` (array)

  - `Traveler.Address.@type` (string, required)
    Discriminator classes Address or AddressDetail
    Example: AddressDetail

  - `Traveler.Address.id` (string)
    unique address id
    Example: Address_1

  - `Traveler.Address.BldgRoom` (object)
    Address with building and room number

  - `Traveler.Address.BldgRoom.value` (string)
    Example: Moore House

  - `Traveler.Address.BldgRoom.buldingInd` (boolean)
    When true, the information is a building name. When false, it is an apartment or room #
    Example: true

  - `Traveler.Address.Number` (object)
    The street number alone is the numerical number that precedes the street name in the address.

  - `Traveler.Address.Number.value` (string)
    Street number value.
    Example: 23B

  - `Traveler.Address.Number.streetNmbrSuffix` (string)
    Street Number Suffix
    Example: B

  - `Traveler.Address.Number.streetDirection` (string)
    Direction of the Street
    Example: NW

  - `Traveler.Address.Number.ruralRouteNmbr` (string)
    RuralRoute Number
    Example: 76

  - `Traveler.Address.Number.po_Box` (string)
    PO Box Number
    Example: 1001

  - `Traveler.Address.Street` (string)
    Street name. May also contain the street number when the Number element is missing.
    Example: ABC Street

  - `Traveler.Address.AddressLine` (array)
    Property street address. Used in place of Street and Number. Each element of the array represents an address line.

  - `Traveler.Address.City` (string, required)
    Full name of the city, town, or postal station (i.e., a postal service territory, often used in a military address).
    Example: Dublin

  - `Traveler.Address.County` (string)
    County or Region Name.
    Example: Berkshire

  - `Traveler.Address.StateProv` (object)
    The standard code or abbreviation for the state, province, or region. May also include full length name.

  - `Traveler.Address.StateProv.value` (string)
    State, province, or region code needed to identify location (typically two characters).
    Example: CA

  - `Traveler.Address.StateProv.name` (string)
    State, province, or region name needed to identify location.
    Example: California

  - `Traveler.Address.Country` (object)
    Contains the information needed to identify a country.

  - `Traveler.Address.Country.value` (string)
    The ISO 3166 code for the property's address.
    Example: US

  - `Traveler.Address.Country.id` (string)
    Custom user-assigned identifier for the country.
    Example: 23

  - `Traveler.Address.Country.name` (string)
    The full name of the country for the property's address.
    Example: United States

  - `Traveler.Address.Country.codeContext` (string)
    The source of a code, such as the organization that provided the id number
    Example: IATA

  - `Traveler.Address.PostalCode` (string)
    Postal code for the address.
    Example: Sl6 1AB

  - `Traveler.Address.Addressee` (string)
    The name of the company or person to be addressed
    Example: ACME INC

  - `Traveler.Address.role` (string)
    Defines the type of location the address is assigned to. For TravelAgency address leave blank or use "Other".
    Enum: "Home", "Business", "Mailing", "Delivery", "Destination", "Other", "Billing"

  - `Traveler.Telephone` (array)

  - `Traveler.Telephone.@type` (string, required)
    Discriminator classes Telephone or TelephoneDetail
    Example: Telephone

  - `Traveler.Telephone.countryAccessCode` (string)
    Phone country code
    Example: 1

  - `Traveler.Telephone.areaCityCode` (string)
    Phone local area code
    Example: 972

  - `Traveler.Telephone.phoneNumber` (string, required)
    Mobile/Telephone Number. Accepted characters are numeric, dash, space, and period.
    Example: 972-000-787

  - `Traveler.Telephone.extension` (string)
    Telephone extension number
    Example: 234

  - `Traveler.Telephone.id` (string)
    Optional custom user-assigned identifier for a phone number.
    Example: 3

  - `Traveler.Telephone.cityCode` (string)
    IATA city code if referenced by phone number.
    Example: DEN

  - `Traveler.Telephone.role` (string)
    Defines the type of location the Telephone is assigned to. For Travel Agency telephone select "Other" or leave blank.
    Enum: "Mobile", "Home", "Work", "Office", "Fax", "Other"

  - `Traveler.Email` (array)

  - `Traveler.Email.value` (string)
    The email address.
    Example: exampledomain@example.com

  - `Traveler.Email.id` (string)
    Electronic email addresses, in IETF specified format.
    Example: email_1

  - `Traveler.Email.emailType` (string)
    Use email type to specify if the email is to be sent "TO" or sent "FROM"
    Example: FROM

  - `Traveler.Email.comment` (string)
    Any freeform note for the email, such as its purpose.
    Example: work email

  - `Traveler.Email.preferredFormat` (string)
    Mime media type
    Example: text/html

  - `Traveler.Email.shareMarketing` (string)
    Used to indicate marketing preferences, Yes, No, Inherit
    Enum: "Yes", "No", "Inherit"

  - `Traveler.Email.optInStatus` (string)
    Used to indicate marketing preferences, OptIn, OptOut
    Enum: "OptedIn", "OptedOut", "Unknown"

  - `Traveler.Email.optInDate` (string)
    The datetime of receiving the opt in notice
    Example: 2026-03-03T11:11:00Z

  - `Traveler.Email.optOutDate` (string)
    The datetime the opt out notice was received
    Example: 2026-03-03T11:11:00Z

  - `Traveler.Email.validInd` (boolean)
    If true, this is a valid email address that has been system verified via a successful email transmission.
    Example: true

  - `Traveler.Email.provisionedInd` (boolean)
    If true then the email address came from the provisioning process
    Example: true

  - `Traveler.passengerTypeCode` (string)
    Passenger type code (PTC) for this traveler.
    Example: CHD

  - `Traveler.nationality` (string)
    Nationality on country code ISO
    Example: AL

  - `Traveler.age` (integer)
    The age of the traveller at the time of travel
    Example: 13

  - `Traveler.CustomerLoyalty` (array)

  - `Traveler.CustomerLoyalty.value` (string, required)
    Number on loyalty card.
    Example: 132456

  - `Traveler.CustomerLoyalty.id` (string)
    Optional Customer Loyalty Id. Not saved
    Example: Loyalty_1

  - `Traveler.CustomerLoyalty.priority` (integer)
    Optional Numeric Priority Code
    Example: 2

  - `Traveler.CustomerLoyalty.programId` (string)
    Specifies an identifier to indicate the company owner of the loyalty program. Typically two characters.  
For frequent guest number, the hotel supplier or brand code.  
For frequent flyer number, the air supplier code of the loyalty program.
    Example: HY

  - `Traveler.CustomerLoyalty.programName` (string)
    Supplier's loyalty program name.
    Example: Frontier-EarlyReturns

  - `Traveler.CustomerLoyalty.supplierType` (string)
    The type of supplier of a loyalty program. Uses 'hotel' for frequent guest number or 'air' for frequent flyer number.
    Example: Hotel

  - `Traveler.CustomerLoyalty.supplier` (string)
    Supplier of a loyalty program (typically 2 characters representing the hotel, brand, or airline).
    Example: UA

  - `Traveler.CustomerLoyalty.tier` (string)
    Customer Loyalty tier
    Example: Silver

  - `Traveler.CustomerLoyalty.shareWithSupplier` (array)
    The list of suppliers that the CustomerLoyalty number is shared. Used for cross accrual programs.  
If valid carrier codes are not sent, the response returns the message NO CROSS ACCRUAL AGREEMENT EXISTS.

  - `Traveler.CustomerLoyalty.cardHolderName` (string)
    Customer loyalty member name; up to 128 characters are supported. In Air Search, for discounted offers to be returned, the name must be sent as LAST FIRST; e.g., if SMITH is the last name and JORDAN the first name, send as SMITH JORDAN
    Example: John Smith

  - `Traveler.CustomerLoyalty.validatedInd` (boolean)
    Customer loyalty number has been validated by the supplier
    Example: true

  - `Traveler.CustomerLoyalty.prefix` (string)
    The cardholder name prefix title like Mr, Mrs, Dr
    Example: Dr

  - `Traveler.CustomerLoyalty.given` (string)
    The First Name of the Cardholder
    Example: John

  - `Traveler.CustomerLoyalty.middle` (string)
    Middle Name of the Cardholder
    Example: Wilkinson

  - `Traveler.CustomerLoyalty.surname` (string)
    Last Name of the Cardholder
    Example: Smith

  - `Traveler.AlternateContact` (array)

  - `Traveler.AlternateContact.@type` (string)
    Example: AlternateContact

  - `Traveler.AlternateContact.id` (string)

  - `Traveler.AlternateContact.contactType` (string)
    Contact type value
    Example: Relative

  - `Traveler.AlternateContact.relation` (string)
    Relation value
    Example: Mother

  - `Traveler.AlternateContact.Address` (array)

  - `Traveler.AlternateContact.Telephone` (array)

  - `Traveler.AlternateContact.Email` (array)

  - `Traveler.AlternateContact.emergencyInd` (boolean)
    This is the contact in case of an emergency
    Example: true

  - `Traveler.AlternateContact.defaultInd` (boolean)
    This is the default contact
    Example: true

  - `Traveler.TravelDocument` (array)

  - `Traveler.TravelDocument.@type` (string, required)
    Discriminator classes TravelDocument or TravelDocumentDetail
    Example: TravelDocumentDetail

  - `Traveler.TravelDocument.docNumber` (string)
    Travel document number.
    Example: B37201

  - `Traveler.TravelDocument.docType` (string)
    Supported Travel Document types
    Enum: "Visa", "Passport", "MilitaryIdentification", "DriversLicense", "NationalIdentityDocument", "VaccinationCertificate", "AlienRegistrationNumber", "InsurancePolicyNumber", "TaxExemptionNumber", "VehicleRegistrationLicenseNumber", "BoderCrossingCard", "RefugeeTravelDocument", "PilotsLicense", "PermanentResidentCard", "RedressNumber", "KnownTravelerNumber", "Non-Standard", "MerchantNumber", "AirNexusCard", "CrewMemberCertificate", "PassportCard", "NaturalizationCertificate", "TicketNumber", "LargeFamilyDiscountCard", "IdentityCardTypeA", "IdentityCardTypeC", "IdentityCardTypeI"

  - `Traveler.TravelDocument.issueDate` (string)
    Issue date of document. Required for a visa
    Example: 2002-10-13

  - `Traveler.TravelDocument.expireDate` (string)
    Expiration date of document. Required for a visa.
    Example: 2002-11-13

  - `Traveler.TravelDocument.stateProvCode` (string)
    State Province Code value
    Example: 44

  - `Traveler.TravelDocument.placeOfIssue` (string)
    Place of issue value
    Example: Birmingham

  - `Traveler.TravelDocument.issueCountry` (string)
    Issuing country of document; ISO3166 standard format.
    Example: CA

  - `Traveler.TravelDocument.birthDate` (string)
    The date of birth of the document holder in YYYY-MM-DD format.
    Example: 1995-04-22

  - `Traveler.TravelDocument.birthCountry` (string)
    Country of birth of the document holder in ISO3166 standard format.
    Example: AR

  - `Traveler.TravelDocument.birthPlace` (string)
    Birth place value
    Example: Ontario

  - `Traveler.TravelDocument.residence` (string)
    Residence value
    Example: 1st section 8th st

  - `Traveler.TravelDocument.id` (string)
    Locally referenced id
    Example: 34

  - `Traveler.TravelDocument.Nationality` (string)
    Birth country as noted on document; specifies a 2 character country code as defined in ISO3166.
    Example: BR

  - `Traveler.Comments` (object)
    Comments object to relay free text information  
In ProductAncillary.Ancillary this is used to expose when additional comments are required to book the ancillary.  
In BuildAncillaryOffersFromCatalogOfferings this is used to pass additional ancillary text required to book the ancillary.  
In Traveler this is used to send custom freeform traveler name remarks, such as a unique identifier for a given traveler. Not supported for addition/deletion in Traveler Modify.

  - `Traveler.Comments.@type` (string)
    Example: Comments

  - `Traveler.Comments.Comment` (array)

  - `Traveler.Comments.Comment.value` (string)
    Actual text.
May be restricted based on the type of comment. Ex:
- Notepad remarks: limited to 87 characters.
- Traveler name remarks: limited to 33 characters, only spaces and hyphens allowed for special characters.
    Example: Additional comments

  - `Traveler.Comments.Comment.id` (string)
    Local identifier within a given message for this object.
    Example: comment_1

  - `Traveler.Comments.Comment.name` (string)
    Title of comment or type of remark.
    Example: Comment name

  - `Traveler.Comments.Comment.language` (string)
    Language code using ISO-639 standard
    Example: EN

  - `Traveler.RailDiscountCard` (array)

  - `Traveler.RailDiscountCard.value` (string)
    Example: Rail1234546

  - `Traveler.RailDiscountCard.supplierCode` (string, required)
    Code of the Supplier
    Example: Enco

  - `Traveler.RailDiscountCard.referenceNumber` (string)
    ReferenceNumber
    Example: 134256

  - `Traveler.accompaniedByInfantInd` (boolean)
    Example: true

## Response 201 fields (application/json):

  - `TravelerListResponse` (object)
    The response of a Add Multiple Travelers endpoint request.

  - `TravelerListResponse.@type` (string)
    Example: response

  - `TravelerListResponse.transactionId` (string)
    A unique system-generated (128 bit GUID format) transaction/tracking id for a single request and response (i.e. for a single transaction) used for internal tracking and troubleshooting.  
Also known as E2ETrackingId.  
Not returned in all Hotel API responses.
    Example: 49f58f5f-c443-43b4-9f5d-be405fd00a01

  - `TravelerListResponse.traceId` (string)
    Used in hospitality workflows to provide a unique transaction or tracking id for a single request and response.  
For Air Eligibility, returned if a custom trace ID was sent in the request header.  
For Hotel Rules, returned if a custom trace ID was sent in the request header.
    Example: TraceID_123456

  - `TravelerListResponse.correlationId` (string)
    Identifier used to correlate hotel API invocations across a multi-call business flows.

  - `TravelerListResponse.reservationStatus` (string)
    Status of reservation or offer completion.
    Enum: "Success", "Fail", "Partial", "Pending", "OnHold", "Retry", "Other"

  - `TravelerListResponse.Result` (object)
    Returns the error and/or warning message information, if applicable.

  - `TravelerListResponse.Result.@type` (string)
    Discriminator class Result only
    Example: Result

  - `TravelerListResponse.Result.status` (string)
    The status of an error or warning
    Enum: "Not processed", "Incomplete", "Complete", "Unknown"

  - `TravelerListResponse.Result.Error` (array)
    A list of error information returned at the provider level for a response.

  - `TravelerListResponse.Result.Error.@type` (string, required)
    Discriminator classes Error or ErrorDetail
    Example: ErrorDetail

  - `TravelerListResponse.Result.Error.StatusCode` (integer)
    Http standard response code
    Example: 200

  - `TravelerListResponse.Result.Error.Message` (string)
    The Travelport standardized error or warning message
    Example: No flights found.

  - `TravelerListResponse.Result.Error.NameValuePair` (array)

  - `TravelerListResponse.Result.Error.NameValuePair.value` (string)
    Text directly related to name description, providing more detail. May have character restrictions based on remark type (e.g. Free Text limitations: 84 characters, alphanumeric and some special characters).
    Example: Sunday

  - `TravelerListResponse.Result.Error.NameValuePair.id` (string)
    Optional internally referenced id
    Example: 6

  - `TravelerListResponse.Result.Error.NameValuePair.name` (string, required)
    Key, categorizing the type of remark or error.
    Example: Day1

  - `TravelerListResponse.Result.Warning` (array)
    A list of warning information returned at the provider level for a response.

  - `TravelerListResponse.Result.Warning.@type` (string, required)
    Discriminator classes Warning or WarningDetail
    Example: WarningDetail

  - `TravelerListResponse.Result.Warning.StatusCode` (integer)
    Http standard response code
    Example: 200

  - `TravelerListResponse.Result.Warning.Message` (string)
    The Travelport standardized error or warning message
    Example: Customer Loyalty could not be applied.

  - `TravelerListResponse.Result.Warning.NameValuePair` (array)

  - `TravelerListResponse.Identifier` (object)
    A globally unique identifier key often used to reference a given option (such as Pricing, Booking, Rules, or additional workflows) or to retrieve information (such as Hotel pagination).

  - `TravelerListResponse.Identifier.value` (string)
    Unique offer identifier that can be sent in subsequent payload requests to reference this offer.
When used for reference flight calls, the CatalogProductOfferingsIdentifier will be the transaction identifier from the Search, Next Leg Search, or Flight Specific Search response in CatalogProductOfferings/Identifier/value.
If you choose to pull the CatalogProductOfferingsIdentifier from the Price response instead (OfferListResponse/Identifier/value), either full or reference payload, please note for subsequent Add Offer requests you must remove the _PC appended to the end of the value in the AirPrice response (e.g., change value: '93d2091d-3d04-48ab-8091-6ae1525f02ea_PC' to value: '93d2091d-3d04-48ab-8091-6ae1525f02ea').
When building an AirPrice or Add Offer reference payload request:
- Look for the CatalogProductOfferingIdentifier (ex: o1) in a Search response at CatalogProductOfferings/CatalogProductOffering/id or a Price response at OfferListResponse/OfferID/id.
- Look for the ProductIdentifier (ex: p0) in a Search response at CatalogProductOfferings/CatalogProductOffering/ProductBrandOptions/ProductBrandOffering/Product/productRef or from a Price response at OfferListResponse/OfferID/Product/id.

When returned from a Workbench, this value is the workbench identifier that must be sent in all subsequent requests for this workbench session.
When returned from Air Exchange Eligibility, value is the ticket number sent with the eligibility request.
When used specifically for form of payment, the value will begin with the characters 'FOP'. Similarly, the OfferIdentifier associated will begin with the character 'O'.
For Hotel Create Reservation (Reference Payload), send the value from the Availability response in CatalogOffering/id or the value from SearchComplete returned in propertyItems/lowestPublicAvailableRate/rateKey/value.
Results from Hotel Availability and Hotel SearchComplete are stored in the cache for 30 minutes. If the offers expire before booking, you must send a new request.
    Example: A0656EFF-FAF4-456F-B061-0161008D7C4E

  - `TravelerListResponse.Identifier.authority` (string)
    Name of the supplier system that created this identifier - the source of information.  
For AirPrice, please note that GDS offers return the value 'Travelport' in authority while NDC offers return the carrier code of the issuing NDC carrier.  
When returned from Air Exchange Eligibility, authority is always 'Travelport' as the transaction issuer.  
For Hotels, authority indicates which supplier returned the lowest available rate for that property: either 'TVPT' (Travelport) or 'BKNG' (booking.com). Booking.com access requires additional provisioning and a direct agreement with the supplier. Authority is not returned if the property is closed or returns an error.  
For Hotel Create Reservation (Full Payload) and Sync Reservation send the value from the Availability response in CatalogOffering/Identifier/authority for the instance you want to book.
    Example: TVPT

  - `TravelerListResponse.NextSteps` (object)
    Container for the steps that describe actions that may be taken on the containing object.  
Not applicable for an Eligibility or Exchange response.

  - `TravelerListResponse.NextSteps.baseURI` (string, required)
    The base portion of the URI in order to shorten the uris in the individual steps

  - `TravelerListResponse.NextSteps.id` (string)
    Optional internally referenced id
    Example: 5

  - `TravelerListResponse.NextSteps.NextStep` (array, required)

  - `TravelerListResponse.NextSteps.NextStep.value` (string)
    Example: www.resourcelocation.com

  - `TravelerListResponse.NextSteps.NextStep.id` (string)
    Identifier for the Next Step
    Example: 2

  - `TravelerListResponse.NextSteps.NextStep.action` (string, required)
    The action this next step is intended to achieve
    Example: cancel

  - `TravelerListResponse.NextSteps.NextStep.method` (string, required)
    Describes the set of potential methods that can be taken after an operation.
    Enum: "GET", "DELETE", "PUT", "POST"

  - `TravelerListResponse.NextSteps.NextStep.description` (string)
    Additional clarification for the next step
    Example: remove offer from the order

  - `TravelerListResponse.ReferenceList` (array)

  - `TravelerListResponse.ReferenceList.@type` (string, required)
    Discriminator
- Air Search child classes are ReferenceListAmenity, ReferenceListBrand, ReferenceListFlight, ReferenceListProduct, ReferenceListTermsAndConditions, and ReferenceListUniversalProductAttribute.
- Air Price child classes are ReferenceListAmenity and ReferenceListBrand.
- FareRules child class is ReferenceListFlight.
- Search Ancillaries child class is ReferenceListFlight.
- Seat Map child class is ReferenceListSeatingChart.
- Hotel Availability child class is ReferenceListPropertyDates.
- Reservation and Reservation Workbench child classes are ReferenceListAmenity, ReferenceListBrand, and ReferenceListUniversalProductAttribute.
- Exchange Search child classes are ReferenceListBrand, ReferenceListFlight, and ReferenceListExchangedPrice.
- Reservation Receipt child classes are ReferenceListOffer and ReferenceListTraveler.
- Book_Traveler child class is ReferenceListTraveler.
    Example: ReferenceListFlight

  - `TravelerListResponse.ReferenceList.id` (string)
    Uniquely identifies for the Reference List

  - `TravelerListResponse.CurrencyRateConversion` (array)

  - `TravelerListResponse.CurrencyRateConversion.@type` (string)

  - `TravelerListResponse.CurrencyRateConversion.SourceCurrency` (object, required)
    Currency codes are the three-letter alphabetic codes that represent the various currencies used throughout the world.  
Unless changed in the request, the currency is the default associated with your provisioned PCC from Travelport.  
For Hotel: SourceCurrency is based on the location of the hotel and used for all rates in the response. TargetCurrency is the currency code sent in the request in requestedCurrency.

  - `TravelerListResponse.CurrencyRateConversion.SourceCurrency.value` (string)
    An ISO 4217 currency code.
    Example: USD

  - `TravelerListResponse.CurrencyRateConversion.SourceCurrency.codeAuthority` (string)
    Currency code authority
    Example: ISO 4217

  - `TravelerListResponse.CurrencyRateConversion.SourceCurrency.decimalPlace` (integer)
    Number of decimal places for the currency.
    Example: 4

  - `TravelerListResponse.CurrencyRateConversion.SourceCurrency.decimalAuthority` (string)
    Currency code decimal authority
    Example: ISO 4217

  - `TravelerListResponse.CurrencyRateConversion.ConversionRate` (object, required)
    Conversion rate of SourceCurrency value to TargetCurrency value. This value can be used to calculate, independently of the API, conversion for the rates in the response. The response does not convert any amounts.

  - `TravelerListResponse.CurrencyRateConversion.ConversionRate.value` (number)

  - `TravelerListResponse.CurrencyRateConversion.ConversionRate.rateAuthority` (string)
    Contextual rate authority
    Example: ISO 4217

  - `TravelerListResponse.CurrencyRateConversion.ConversionRate.rateAsOf` (string)
    Rate as of
    Example: 2026-08-07T12:12:00Z

  - `TravelerListResponse.Pagination` (object)
    Pagination object used when result sets span across a number of pages.

  - `TravelerListResponse.Pagination.@type` (string, required)
    Example: Pagination

  - `TravelerListResponse.Pagination.page` (integer, required)
    The current page number of the full result set
    Example: 1

  - `TravelerListResponse.Pagination.pageSize` (integer, required)
    The total number of items on this page
    Example: 20

  - `TravelerListResponse.Pagination.totalPages` (integer, required)
    The total number of pages in this result set
    Example: 5

  - `TravelerListResponse.Pagination.totalItems` (integer, required)
    The total number of pages in this result set
    Example: 100

## Response 400 fields (application/json):

  - `ErrorResponse` (object)
    Base common error response

  - `ErrorResponse.@type` (string)
    Example: response

  - `ErrorResponse.transactionId` (string)
    A unique system-generated (128 bit GUID format) transaction/tracking id for a single request and response (i.e. for a single transaction) used for internal tracking and troubleshooting.  
Also known as E2ETrackingId.  
Not returned in all Hotel API responses.
    Example: 49f58f5f-c443-43b4-9f5d-be405fd00a01

  - `ErrorResponse.traceId` (string)
    Used in hospitality workflows to provide a unique transaction or tracking id for a single request and response.  
For Air Eligibility, returned if a custom trace ID was sent in the request header.  
For Hotel Rules, returned if a custom trace ID was sent in the request header.
    Example: TraceID_123456

  - `ErrorResponse.correlationId` (string)
    Identifier used to correlate hotel API invocations across a multi-call business flows.

  - `ErrorResponse.reservationStatus` (string)
    Status of reservation or offer completion.
    Enum: "Success", "Fail", "Partial", "Pending", "OnHold", "Retry", "Other"

  - `ErrorResponse.Result` (object)
    Returns the error and/or warning message information, if applicable.

  - `ErrorResponse.Result.@type` (string)
    Discriminator class Result only
    Example: Result

  - `ErrorResponse.Result.status` (string)
    The status of an error or warning
    Enum: "Not processed", "Incomplete", "Complete", "Unknown"

  - `ErrorResponse.Result.Error` (array)
    A list of error information returned at the provider level for a response.

  - `ErrorResponse.Result.Error.@type` (string, required)
    Discriminator classes Error or ErrorDetail
    Example: ErrorDetail

  - `ErrorResponse.Result.Error.StatusCode` (integer)
    Http standard response code
    Example: 200

  - `ErrorResponse.Result.Error.Message` (string)
    The Travelport standardized error or warning message
    Example: No flights found.

  - `ErrorResponse.Result.Error.NameValuePair` (array)

  - `ErrorResponse.Result.Error.NameValuePair.value` (string)
    Text directly related to name description, providing more detail. May have character restrictions based on remark type (e.g. Free Text limitations: 84 characters, alphanumeric and some special characters).
    Example: Sunday

  - `ErrorResponse.Result.Error.NameValuePair.id` (string)
    Optional internally referenced id
    Example: 6

  - `ErrorResponse.Result.Error.NameValuePair.name` (string, required)
    Key, categorizing the type of remark or error.
    Example: Day1

  - `ErrorResponse.Result.Warning` (array)
    A list of warning information returned at the provider level for a response.

  - `ErrorResponse.Result.Warning.@type` (string, required)
    Discriminator classes Warning or WarningDetail
    Example: WarningDetail

  - `ErrorResponse.Result.Warning.StatusCode` (integer)
    Http standard response code
    Example: 200

  - `ErrorResponse.Result.Warning.Message` (string)
    The Travelport standardized error or warning message
    Example: Customer Loyalty could not be applied.

  - `ErrorResponse.Result.Warning.NameValuePair` (array)

  - `ErrorResponse.Identifier` (object)
    A globally unique identifier key often used to reference a given option (such as Pricing, Booking, Rules, or additional workflows) or to retrieve information (such as Hotel pagination).

  - `ErrorResponse.Identifier.value` (string)
    Unique offer identifier that can be sent in subsequent payload requests to reference this offer.
When used for reference flight calls, the CatalogProductOfferingsIdentifier will be the transaction identifier from the Search, Next Leg Search, or Flight Specific Search response in CatalogProductOfferings/Identifier/value.
If you choose to pull the CatalogProductOfferingsIdentifier from the Price response instead (OfferListResponse/Identifier/value), either full or reference payload, please note for subsequent Add Offer requests you must remove the _PC appended to the end of the value in the AirPrice response (e.g., change value: '93d2091d-3d04-48ab-8091-6ae1525f02ea_PC' to value: '93d2091d-3d04-48ab-8091-6ae1525f02ea').
When building an AirPrice or Add Offer reference payload request:
- Look for the CatalogProductOfferingIdentifier (ex: o1) in a Search response at CatalogProductOfferings/CatalogProductOffering/id or a Price response at OfferListResponse/OfferID/id.
- Look for the ProductIdentifier (ex: p0) in a Search response at CatalogProductOfferings/CatalogProductOffering/ProductBrandOptions/ProductBrandOffering/Product/productRef or from a Price response at OfferListResponse/OfferID/Product/id.

When returned from a Workbench, this value is the workbench identifier that must be sent in all subsequent requests for this workbench session.
When returned from Air Exchange Eligibility, value is the ticket number sent with the eligibility request.
When used specifically for form of payment, the value will begin with the characters 'FOP'. Similarly, the OfferIdentifier associated will begin with the character 'O'.
For Hotel Create Reservation (Reference Payload), send the value from the Availability response in CatalogOffering/id or the value from SearchComplete returned in propertyItems/lowestPublicAvailableRate/rateKey/value.
Results from Hotel Availability and Hotel SearchComplete are stored in the cache for 30 minutes. If the offers expire before booking, you must send a new request.
    Example: A0656EFF-FAF4-456F-B061-0161008D7C4E

  - `ErrorResponse.Identifier.authority` (string)
    Name of the supplier system that created this identifier - the source of information.  
For AirPrice, please note that GDS offers return the value 'Travelport' in authority while NDC offers return the carrier code of the issuing NDC carrier.  
When returned from Air Exchange Eligibility, authority is always 'Travelport' as the transaction issuer.  
For Hotels, authority indicates which supplier returned the lowest available rate for that property: either 'TVPT' (Travelport) or 'BKNG' (booking.com). Booking.com access requires additional provisioning and a direct agreement with the supplier. Authority is not returned if the property is closed or returns an error.  
For Hotel Create Reservation (Full Payload) and Sync Reservation send the value from the Availability response in CatalogOffering/Identifier/authority for the instance you want to book.
    Example: TVPT

  - `ErrorResponse.NextSteps` (object)
    Container for the steps that describe actions that may be taken on the containing object.  
Not applicable for an Eligibility or Exchange response.

  - `ErrorResponse.NextSteps.baseURI` (string, required)
    The base portion of the URI in order to shorten the uris in the individual steps

  - `ErrorResponse.NextSteps.id` (string)
    Optional internally referenced id
    Example: 5

  - `ErrorResponse.NextSteps.NextStep` (array, required)

  - `ErrorResponse.NextSteps.NextStep.value` (string)
    Example: www.resourcelocation.com

  - `ErrorResponse.NextSteps.NextStep.id` (string)
    Identifier for the Next Step
    Example: 2

  - `ErrorResponse.NextSteps.NextStep.action` (string, required)
    The action this next step is intended to achieve
    Example: cancel

  - `ErrorResponse.NextSteps.NextStep.method` (string, required)
    Describes the set of potential methods that can be taken after an operation.
    Enum: "GET", "DELETE", "PUT", "POST"

  - `ErrorResponse.NextSteps.NextStep.description` (string)
    Additional clarification for the next step
    Example: remove offer from the order

  - `ErrorResponse.ReferenceList` (array)

  - `ErrorResponse.ReferenceList.@type` (string, required)
    Discriminator
- Air Search child classes are ReferenceListAmenity, ReferenceListBrand, ReferenceListFlight, ReferenceListProduct, ReferenceListTermsAndConditions, and ReferenceListUniversalProductAttribute.
- Air Price child classes are ReferenceListAmenity and ReferenceListBrand.
- FareRules child class is ReferenceListFlight.
- Search Ancillaries child class is ReferenceListFlight.
- Seat Map child class is ReferenceListSeatingChart.
- Hotel Availability child class is ReferenceListPropertyDates.
- Reservation and Reservation Workbench child classes are ReferenceListAmenity, ReferenceListBrand, and ReferenceListUniversalProductAttribute.
- Exchange Search child classes are ReferenceListBrand, ReferenceListFlight, and ReferenceListExchangedPrice.
- Reservation Receipt child classes are ReferenceListOffer and ReferenceListTraveler.
- Book_Traveler child class is ReferenceListTraveler.
    Example: ReferenceListFlight

  - `ErrorResponse.ReferenceList.id` (string)
    Uniquely identifies for the Reference List

  - `ErrorResponse.CurrencyRateConversion` (array)

  - `ErrorResponse.CurrencyRateConversion.@type` (string)

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency` (object, required)
    Currency codes are the three-letter alphabetic codes that represent the various currencies used throughout the world.  
Unless changed in the request, the currency is the default associated with your provisioned PCC from Travelport.  
For Hotel: SourceCurrency is based on the location of the hotel and used for all rates in the response. TargetCurrency is the currency code sent in the request in requestedCurrency.

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency.value` (string)
    An ISO 4217 currency code.
    Example: USD

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency.codeAuthority` (string)
    Currency code authority
    Example: ISO 4217

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency.decimalPlace` (integer)
    Number of decimal places for the currency.
    Example: 4

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency.decimalAuthority` (string)
    Currency code decimal authority
    Example: ISO 4217

  - `ErrorResponse.CurrencyRateConversion.ConversionRate` (object, required)
    Conversion rate of SourceCurrency value to TargetCurrency value. This value can be used to calculate, independently of the API, conversion for the rates in the response. The response does not convert any amounts.

  - `ErrorResponse.CurrencyRateConversion.ConversionRate.value` (number)

  - `ErrorResponse.CurrencyRateConversion.ConversionRate.rateAuthority` (string)
    Contextual rate authority
    Example: ISO 4217

  - `ErrorResponse.CurrencyRateConversion.ConversionRate.rateAsOf` (string)
    Rate as of
    Example: 2026-08-07T12:12:00Z

  - `ErrorResponse.Pagination` (object)
    Pagination object used when result sets span across a number of pages.

  - `ErrorResponse.Pagination.@type` (string, required)
    Example: Pagination

  - `ErrorResponse.Pagination.page` (integer, required)
    The current page number of the full result set
    Example: 1

  - `ErrorResponse.Pagination.pageSize` (integer, required)
    The total number of items on this page
    Example: 20

  - `ErrorResponse.Pagination.totalPages` (integer, required)
    The total number of pages in this result set
    Example: 5

  - `ErrorResponse.Pagination.totalItems` (integer, required)
    The total number of pages in this result set
    Example: 100

## Response 401 fields (application/json):

  - `ErrorResponse` (object)
    Base common error response

  - `ErrorResponse.@type` (string)
    Example: response

  - `ErrorResponse.transactionId` (string)
    A unique system-generated (128 bit GUID format) transaction/tracking id for a single request and response (i.e. for a single transaction) used for internal tracking and troubleshooting.  
Also known as E2ETrackingId.  
Not returned in all Hotel API responses.
    Example: 49f58f5f-c443-43b4-9f5d-be405fd00a01

  - `ErrorResponse.traceId` (string)
    Used in hospitality workflows to provide a unique transaction or tracking id for a single request and response.  
For Air Eligibility, returned if a custom trace ID was sent in the request header.  
For Hotel Rules, returned if a custom trace ID was sent in the request header.
    Example: TraceID_123456

  - `ErrorResponse.correlationId` (string)
    Identifier used to correlate hotel API invocations across a multi-call business flows.

  - `ErrorResponse.reservationStatus` (string)
    Status of reservation or offer completion.
    Enum: "Success", "Fail", "Partial", "Pending", "OnHold", "Retry", "Other"

  - `ErrorResponse.Result` (object)
    Returns the error and/or warning message information, if applicable.

  - `ErrorResponse.Result.@type` (string)
    Discriminator class Result only
    Example: Result

  - `ErrorResponse.Result.status` (string)
    The status of an error or warning
    Enum: "Not processed", "Incomplete", "Complete", "Unknown"

  - `ErrorResponse.Result.Error` (array)
    A list of error information returned at the provider level for a response.

  - `ErrorResponse.Result.Error.@type` (string, required)
    Discriminator classes Error or ErrorDetail
    Example: ErrorDetail

  - `ErrorResponse.Result.Error.StatusCode` (integer)
    Http standard response code
    Example: 200

  - `ErrorResponse.Result.Error.Message` (string)
    The Travelport standardized error or warning message
    Example: No flights found.

  - `ErrorResponse.Result.Error.NameValuePair` (array)

  - `ErrorResponse.Result.Error.NameValuePair.value` (string)
    Text directly related to name description, providing more detail. May have character restrictions based on remark type (e.g. Free Text limitations: 84 characters, alphanumeric and some special characters).
    Example: Sunday

  - `ErrorResponse.Result.Error.NameValuePair.id` (string)
    Optional internally referenced id
    Example: 6

  - `ErrorResponse.Result.Error.NameValuePair.name` (string, required)
    Key, categorizing the type of remark or error.
    Example: Day1

  - `ErrorResponse.Result.Warning` (array)
    A list of warning information returned at the provider level for a response.

  - `ErrorResponse.Result.Warning.@type` (string, required)
    Discriminator classes Warning or WarningDetail
    Example: WarningDetail

  - `ErrorResponse.Result.Warning.StatusCode` (integer)
    Http standard response code
    Example: 200

  - `ErrorResponse.Result.Warning.Message` (string)
    The Travelport standardized error or warning message
    Example: Customer Loyalty could not be applied.

  - `ErrorResponse.Result.Warning.NameValuePair` (array)

  - `ErrorResponse.Identifier` (object)
    A globally unique identifier key often used to reference a given option (such as Pricing, Booking, Rules, or additional workflows) or to retrieve information (such as Hotel pagination).

  - `ErrorResponse.Identifier.value` (string)
    Unique offer identifier that can be sent in subsequent payload requests to reference this offer.
When used for reference flight calls, the CatalogProductOfferingsIdentifier will be the transaction identifier from the Search, Next Leg Search, or Flight Specific Search response in CatalogProductOfferings/Identifier/value.
If you choose to pull the CatalogProductOfferingsIdentifier from the Price response instead (OfferListResponse/Identifier/value), either full or reference payload, please note for subsequent Add Offer requests you must remove the _PC appended to the end of the value in the AirPrice response (e.g., change value: '93d2091d-3d04-48ab-8091-6ae1525f02ea_PC' to value: '93d2091d-3d04-48ab-8091-6ae1525f02ea').
When building an AirPrice or Add Offer reference payload request:
- Look for the CatalogProductOfferingIdentifier (ex: o1) in a Search response at CatalogProductOfferings/CatalogProductOffering/id or a Price response at OfferListResponse/OfferID/id.
- Look for the ProductIdentifier (ex: p0) in a Search response at CatalogProductOfferings/CatalogProductOffering/ProductBrandOptions/ProductBrandOffering/Product/productRef or from a Price response at OfferListResponse/OfferID/Product/id.

When returned from a Workbench, this value is the workbench identifier that must be sent in all subsequent requests for this workbench session.
When returned from Air Exchange Eligibility, value is the ticket number sent with the eligibility request.
When used specifically for form of payment, the value will begin with the characters 'FOP'. Similarly, the OfferIdentifier associated will begin with the character 'O'.
For Hotel Create Reservation (Reference Payload), send the value from the Availability response in CatalogOffering/id or the value from SearchComplete returned in propertyItems/lowestPublicAvailableRate/rateKey/value.
Results from Hotel Availability and Hotel SearchComplete are stored in the cache for 30 minutes. If the offers expire before booking, you must send a new request.
    Example: A0656EFF-FAF4-456F-B061-0161008D7C4E

  - `ErrorResponse.Identifier.authority` (string)
    Name of the supplier system that created this identifier - the source of information.  
For AirPrice, please note that GDS offers return the value 'Travelport' in authority while NDC offers return the carrier code of the issuing NDC carrier.  
When returned from Air Exchange Eligibility, authority is always 'Travelport' as the transaction issuer.  
For Hotels, authority indicates which supplier returned the lowest available rate for that property: either 'TVPT' (Travelport) or 'BKNG' (booking.com). Booking.com access requires additional provisioning and a direct agreement with the supplier. Authority is not returned if the property is closed or returns an error.  
For Hotel Create Reservation (Full Payload) and Sync Reservation send the value from the Availability response in CatalogOffering/Identifier/authority for the instance you want to book.
    Example: TVPT

  - `ErrorResponse.NextSteps` (object)
    Container for the steps that describe actions that may be taken on the containing object.  
Not applicable for an Eligibility or Exchange response.

  - `ErrorResponse.NextSteps.baseURI` (string, required)
    The base portion of the URI in order to shorten the uris in the individual steps

  - `ErrorResponse.NextSteps.id` (string)
    Optional internally referenced id
    Example: 5

  - `ErrorResponse.NextSteps.NextStep` (array, required)

  - `ErrorResponse.NextSteps.NextStep.value` (string)
    Example: www.resourcelocation.com

  - `ErrorResponse.NextSteps.NextStep.id` (string)
    Identifier for the Next Step
    Example: 2

  - `ErrorResponse.NextSteps.NextStep.action` (string, required)
    The action this next step is intended to achieve
    Example: cancel

  - `ErrorResponse.NextSteps.NextStep.method` (string, required)
    Describes the set of potential methods that can be taken after an operation.
    Enum: "GET", "DELETE", "PUT", "POST"

  - `ErrorResponse.NextSteps.NextStep.description` (string)
    Additional clarification for the next step
    Example: remove offer from the order

  - `ErrorResponse.ReferenceList` (array)

  - `ErrorResponse.ReferenceList.@type` (string, required)
    Discriminator
- Air Search child classes are ReferenceListAmenity, ReferenceListBrand, ReferenceListFlight, ReferenceListProduct, ReferenceListTermsAndConditions, and ReferenceListUniversalProductAttribute.
- Air Price child classes are ReferenceListAmenity and ReferenceListBrand.
- FareRules child class is ReferenceListFlight.
- Search Ancillaries child class is ReferenceListFlight.
- Seat Map child class is ReferenceListSeatingChart.
- Hotel Availability child class is ReferenceListPropertyDates.
- Reservation and Reservation Workbench child classes are ReferenceListAmenity, ReferenceListBrand, and ReferenceListUniversalProductAttribute.
- Exchange Search child classes are ReferenceListBrand, ReferenceListFlight, and ReferenceListExchangedPrice.
- Reservation Receipt child classes are ReferenceListOffer and ReferenceListTraveler.
- Book_Traveler child class is ReferenceListTraveler.
    Example: ReferenceListFlight

  - `ErrorResponse.ReferenceList.id` (string)
    Uniquely identifies for the Reference List

  - `ErrorResponse.CurrencyRateConversion` (array)

  - `ErrorResponse.CurrencyRateConversion.@type` (string)

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency` (object, required)
    Currency codes are the three-letter alphabetic codes that represent the various currencies used throughout the world.  
Unless changed in the request, the currency is the default associated with your provisioned PCC from Travelport.  
For Hotel: SourceCurrency is based on the location of the hotel and used for all rates in the response. TargetCurrency is the currency code sent in the request in requestedCurrency.

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency.value` (string)
    An ISO 4217 currency code.
    Example: USD

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency.codeAuthority` (string)
    Currency code authority
    Example: ISO 4217

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency.decimalPlace` (integer)
    Number of decimal places for the currency.
    Example: 4

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency.decimalAuthority` (string)
    Currency code decimal authority
    Example: ISO 4217

  - `ErrorResponse.CurrencyRateConversion.ConversionRate` (object, required)
    Conversion rate of SourceCurrency value to TargetCurrency value. This value can be used to calculate, independently of the API, conversion for the rates in the response. The response does not convert any amounts.

  - `ErrorResponse.CurrencyRateConversion.ConversionRate.value` (number)

  - `ErrorResponse.CurrencyRateConversion.ConversionRate.rateAuthority` (string)
    Contextual rate authority
    Example: ISO 4217

  - `ErrorResponse.CurrencyRateConversion.ConversionRate.rateAsOf` (string)
    Rate as of
    Example: 2026-08-07T12:12:00Z

  - `ErrorResponse.Pagination` (object)
    Pagination object used when result sets span across a number of pages.

  - `ErrorResponse.Pagination.@type` (string, required)
    Example: Pagination

  - `ErrorResponse.Pagination.page` (integer, required)
    The current page number of the full result set
    Example: 1

  - `ErrorResponse.Pagination.pageSize` (integer, required)
    The total number of items on this page
    Example: 20

  - `ErrorResponse.Pagination.totalPages` (integer, required)
    The total number of pages in this result set
    Example: 5

  - `ErrorResponse.Pagination.totalItems` (integer, required)
    The total number of pages in this result set
    Example: 100

## Response 402 fields (application/json):

  - `ErrorResponse` (object)
    Base common error response

  - `ErrorResponse.@type` (string)
    Example: response

  - `ErrorResponse.transactionId` (string)
    A unique system-generated (128 bit GUID format) transaction/tracking id for a single request and response (i.e. for a single transaction) used for internal tracking and troubleshooting.  
Also known as E2ETrackingId.  
Not returned in all Hotel API responses.
    Example: 49f58f5f-c443-43b4-9f5d-be405fd00a01

  - `ErrorResponse.traceId` (string)
    Used in hospitality workflows to provide a unique transaction or tracking id for a single request and response.  
For Air Eligibility, returned if a custom trace ID was sent in the request header.  
For Hotel Rules, returned if a custom trace ID was sent in the request header.
    Example: TraceID_123456

  - `ErrorResponse.correlationId` (string)
    Identifier used to correlate hotel API invocations across a multi-call business flows.

  - `ErrorResponse.reservationStatus` (string)
    Status of reservation or offer completion.
    Enum: "Success", "Fail", "Partial", "Pending", "OnHold", "Retry", "Other"

  - `ErrorResponse.Result` (object)
    Returns the error and/or warning message information, if applicable.

  - `ErrorResponse.Result.@type` (string)
    Discriminator class Result only
    Example: Result

  - `ErrorResponse.Result.status` (string)
    The status of an error or warning
    Enum: "Not processed", "Incomplete", "Complete", "Unknown"

  - `ErrorResponse.Result.Error` (array)
    A list of error information returned at the provider level for a response.

  - `ErrorResponse.Result.Error.@type` (string, required)
    Discriminator classes Error or ErrorDetail
    Example: ErrorDetail

  - `ErrorResponse.Result.Error.StatusCode` (integer)
    Http standard response code
    Example: 200

  - `ErrorResponse.Result.Error.Message` (string)
    The Travelport standardized error or warning message
    Example: No flights found.

  - `ErrorResponse.Result.Error.NameValuePair` (array)

  - `ErrorResponse.Result.Error.NameValuePair.value` (string)
    Text directly related to name description, providing more detail. May have character restrictions based on remark type (e.g. Free Text limitations: 84 characters, alphanumeric and some special characters).
    Example: Sunday

  - `ErrorResponse.Result.Error.NameValuePair.id` (string)
    Optional internally referenced id
    Example: 6

  - `ErrorResponse.Result.Error.NameValuePair.name` (string, required)
    Key, categorizing the type of remark or error.
    Example: Day1

  - `ErrorResponse.Result.Warning` (array)
    A list of warning information returned at the provider level for a response.

  - `ErrorResponse.Result.Warning.@type` (string, required)
    Discriminator classes Warning or WarningDetail
    Example: WarningDetail

  - `ErrorResponse.Result.Warning.StatusCode` (integer)
    Http standard response code
    Example: 200

  - `ErrorResponse.Result.Warning.Message` (string)
    The Travelport standardized error or warning message
    Example: Customer Loyalty could not be applied.

  - `ErrorResponse.Result.Warning.NameValuePair` (array)

  - `ErrorResponse.Identifier` (object)
    A globally unique identifier key often used to reference a given option (such as Pricing, Booking, Rules, or additional workflows) or to retrieve information (such as Hotel pagination).

  - `ErrorResponse.Identifier.value` (string)
    Unique offer identifier that can be sent in subsequent payload requests to reference this offer.
When used for reference flight calls, the CatalogProductOfferingsIdentifier will be the transaction identifier from the Search, Next Leg Search, or Flight Specific Search response in CatalogProductOfferings/Identifier/value.
If you choose to pull the CatalogProductOfferingsIdentifier from the Price response instead (OfferListResponse/Identifier/value), either full or reference payload, please note for subsequent Add Offer requests you must remove the _PC appended to the end of the value in the AirPrice response (e.g., change value: '93d2091d-3d04-48ab-8091-6ae1525f02ea_PC' to value: '93d2091d-3d04-48ab-8091-6ae1525f02ea').
When building an AirPrice or Add Offer reference payload request:
- Look for the CatalogProductOfferingIdentifier (ex: o1) in a Search response at CatalogProductOfferings/CatalogProductOffering/id or a Price response at OfferListResponse/OfferID/id.
- Look for the ProductIdentifier (ex: p0) in a Search response at CatalogProductOfferings/CatalogProductOffering/ProductBrandOptions/ProductBrandOffering/Product/productRef or from a Price response at OfferListResponse/OfferID/Product/id.

When returned from a Workbench, this value is the workbench identifier that must be sent in all subsequent requests for this workbench session.
When returned from Air Exchange Eligibility, value is the ticket number sent with the eligibility request.
When used specifically for form of payment, the value will begin with the characters 'FOP'. Similarly, the OfferIdentifier associated will begin with the character 'O'.
For Hotel Create Reservation (Reference Payload), send the value from the Availability response in CatalogOffering/id or the value from SearchComplete returned in propertyItems/lowestPublicAvailableRate/rateKey/value.
Results from Hotel Availability and Hotel SearchComplete are stored in the cache for 30 minutes. If the offers expire before booking, you must send a new request.
    Example: A0656EFF-FAF4-456F-B061-0161008D7C4E

  - `ErrorResponse.Identifier.authority` (string)
    Name of the supplier system that created this identifier - the source of information.  
For AirPrice, please note that GDS offers return the value 'Travelport' in authority while NDC offers return the carrier code of the issuing NDC carrier.  
When returned from Air Exchange Eligibility, authority is always 'Travelport' as the transaction issuer.  
For Hotels, authority indicates which supplier returned the lowest available rate for that property: either 'TVPT' (Travelport) or 'BKNG' (booking.com). Booking.com access requires additional provisioning and a direct agreement with the supplier. Authority is not returned if the property is closed or returns an error.  
For Hotel Create Reservation (Full Payload) and Sync Reservation send the value from the Availability response in CatalogOffering/Identifier/authority for the instance you want to book.
    Example: TVPT

  - `ErrorResponse.NextSteps` (object)
    Container for the steps that describe actions that may be taken on the containing object.  
Not applicable for an Eligibility or Exchange response.

  - `ErrorResponse.NextSteps.baseURI` (string, required)
    The base portion of the URI in order to shorten the uris in the individual steps

  - `ErrorResponse.NextSteps.id` (string)
    Optional internally referenced id
    Example: 5

  - `ErrorResponse.NextSteps.NextStep` (array, required)

  - `ErrorResponse.NextSteps.NextStep.value` (string)
    Example: www.resourcelocation.com

  - `ErrorResponse.NextSteps.NextStep.id` (string)
    Identifier for the Next Step
    Example: 2

  - `ErrorResponse.NextSteps.NextStep.action` (string, required)
    The action this next step is intended to achieve
    Example: cancel

  - `ErrorResponse.NextSteps.NextStep.method` (string, required)
    Describes the set of potential methods that can be taken after an operation.
    Enum: "GET", "DELETE", "PUT", "POST"

  - `ErrorResponse.NextSteps.NextStep.description` (string)
    Additional clarification for the next step
    Example: remove offer from the order

  - `ErrorResponse.ReferenceList` (array)

  - `ErrorResponse.ReferenceList.@type` (string, required)
    Discriminator
- Air Search child classes are ReferenceListAmenity, ReferenceListBrand, ReferenceListFlight, ReferenceListProduct, ReferenceListTermsAndConditions, and ReferenceListUniversalProductAttribute.
- Air Price child classes are ReferenceListAmenity and ReferenceListBrand.
- FareRules child class is ReferenceListFlight.
- Search Ancillaries child class is ReferenceListFlight.
- Seat Map child class is ReferenceListSeatingChart.
- Hotel Availability child class is ReferenceListPropertyDates.
- Reservation and Reservation Workbench child classes are ReferenceListAmenity, ReferenceListBrand, and ReferenceListUniversalProductAttribute.
- Exchange Search child classes are ReferenceListBrand, ReferenceListFlight, and ReferenceListExchangedPrice.
- Reservation Receipt child classes are ReferenceListOffer and ReferenceListTraveler.
- Book_Traveler child class is ReferenceListTraveler.
    Example: ReferenceListFlight

  - `ErrorResponse.ReferenceList.id` (string)
    Uniquely identifies for the Reference List

  - `ErrorResponse.CurrencyRateConversion` (array)

  - `ErrorResponse.CurrencyRateConversion.@type` (string)

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency` (object, required)
    Currency codes are the three-letter alphabetic codes that represent the various currencies used throughout the world.  
Unless changed in the request, the currency is the default associated with your provisioned PCC from Travelport.  
For Hotel: SourceCurrency is based on the location of the hotel and used for all rates in the response. TargetCurrency is the currency code sent in the request in requestedCurrency.

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency.value` (string)
    An ISO 4217 currency code.
    Example: USD

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency.codeAuthority` (string)
    Currency code authority
    Example: ISO 4217

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency.decimalPlace` (integer)
    Number of decimal places for the currency.
    Example: 4

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency.decimalAuthority` (string)
    Currency code decimal authority
    Example: ISO 4217

  - `ErrorResponse.CurrencyRateConversion.ConversionRate` (object, required)
    Conversion rate of SourceCurrency value to TargetCurrency value. This value can be used to calculate, independently of the API, conversion for the rates in the response. The response does not convert any amounts.

  - `ErrorResponse.CurrencyRateConversion.ConversionRate.value` (number)

  - `ErrorResponse.CurrencyRateConversion.ConversionRate.rateAuthority` (string)
    Contextual rate authority
    Example: ISO 4217

  - `ErrorResponse.CurrencyRateConversion.ConversionRate.rateAsOf` (string)
    Rate as of
    Example: 2026-08-07T12:12:00Z

  - `ErrorResponse.Pagination` (object)
    Pagination object used when result sets span across a number of pages.

  - `ErrorResponse.Pagination.@type` (string, required)
    Example: Pagination

  - `ErrorResponse.Pagination.page` (integer, required)
    The current page number of the full result set
    Example: 1

  - `ErrorResponse.Pagination.pageSize` (integer, required)
    The total number of items on this page
    Example: 20

  - `ErrorResponse.Pagination.totalPages` (integer, required)
    The total number of pages in this result set
    Example: 5

  - `ErrorResponse.Pagination.totalItems` (integer, required)
    The total number of pages in this result set
    Example: 100

## Response 403 fields (application/json):

  - `ErrorResponse` (object)
    Base common error response

  - `ErrorResponse.@type` (string)
    Example: response

  - `ErrorResponse.transactionId` (string)
    A unique system-generated (128 bit GUID format) transaction/tracking id for a single request and response (i.e. for a single transaction) used for internal tracking and troubleshooting.  
Also known as E2ETrackingId.  
Not returned in all Hotel API responses.
    Example: 49f58f5f-c443-43b4-9f5d-be405fd00a01

  - `ErrorResponse.traceId` (string)
    Used in hospitality workflows to provide a unique transaction or tracking id for a single request and response.  
For Air Eligibility, returned if a custom trace ID was sent in the request header.  
For Hotel Rules, returned if a custom trace ID was sent in the request header.
    Example: TraceID_123456

  - `ErrorResponse.correlationId` (string)
    Identifier used to correlate hotel API invocations across a multi-call business flows.

  - `ErrorResponse.reservationStatus` (string)
    Status of reservation or offer completion.
    Enum: "Success", "Fail", "Partial", "Pending", "OnHold", "Retry", "Other"

  - `ErrorResponse.Result` (object)
    Returns the error and/or warning message information, if applicable.

  - `ErrorResponse.Result.@type` (string)
    Discriminator class Result only
    Example: Result

  - `ErrorResponse.Result.status` (string)
    The status of an error or warning
    Enum: "Not processed", "Incomplete", "Complete", "Unknown"

  - `ErrorResponse.Result.Error` (array)
    A list of error information returned at the provider level for a response.

  - `ErrorResponse.Result.Error.@type` (string, required)
    Discriminator classes Error or ErrorDetail
    Example: ErrorDetail

  - `ErrorResponse.Result.Error.StatusCode` (integer)
    Http standard response code
    Example: 200

  - `ErrorResponse.Result.Error.Message` (string)
    The Travelport standardized error or warning message
    Example: No flights found.

  - `ErrorResponse.Result.Error.NameValuePair` (array)

  - `ErrorResponse.Result.Error.NameValuePair.value` (string)
    Text directly related to name description, providing more detail. May have character restrictions based on remark type (e.g. Free Text limitations: 84 characters, alphanumeric and some special characters).
    Example: Sunday

  - `ErrorResponse.Result.Error.NameValuePair.id` (string)
    Optional internally referenced id
    Example: 6

  - `ErrorResponse.Result.Error.NameValuePair.name` (string, required)
    Key, categorizing the type of remark or error.
    Example: Day1

  - `ErrorResponse.Result.Warning` (array)
    A list of warning information returned at the provider level for a response.

  - `ErrorResponse.Result.Warning.@type` (string, required)
    Discriminator classes Warning or WarningDetail
    Example: WarningDetail

  - `ErrorResponse.Result.Warning.StatusCode` (integer)
    Http standard response code
    Example: 200

  - `ErrorResponse.Result.Warning.Message` (string)
    The Travelport standardized error or warning message
    Example: Customer Loyalty could not be applied.

  - `ErrorResponse.Result.Warning.NameValuePair` (array)

  - `ErrorResponse.Identifier` (object)
    A globally unique identifier key often used to reference a given option (such as Pricing, Booking, Rules, or additional workflows) or to retrieve information (such as Hotel pagination).

  - `ErrorResponse.Identifier.value` (string)
    Unique offer identifier that can be sent in subsequent payload requests to reference this offer.
When used for reference flight calls, the CatalogProductOfferingsIdentifier will be the transaction identifier from the Search, Next Leg Search, or Flight Specific Search response in CatalogProductOfferings/Identifier/value.
If you choose to pull the CatalogProductOfferingsIdentifier from the Price response instead (OfferListResponse/Identifier/value), either full or reference payload, please note for subsequent Add Offer requests you must remove the _PC appended to the end of the value in the AirPrice response (e.g., change value: '93d2091d-3d04-48ab-8091-6ae1525f02ea_PC' to value: '93d2091d-3d04-48ab-8091-6ae1525f02ea').
When building an AirPrice or Add Offer reference payload request:
- Look for the CatalogProductOfferingIdentifier (ex: o1) in a Search response at CatalogProductOfferings/CatalogProductOffering/id or a Price response at OfferListResponse/OfferID/id.
- Look for the ProductIdentifier (ex: p0) in a Search response at CatalogProductOfferings/CatalogProductOffering/ProductBrandOptions/ProductBrandOffering/Product/productRef or from a Price response at OfferListResponse/OfferID/Product/id.

When returned from a Workbench, this value is the workbench identifier that must be sent in all subsequent requests for this workbench session.
When returned from Air Exchange Eligibility, value is the ticket number sent with the eligibility request.
When used specifically for form of payment, the value will begin with the characters 'FOP'. Similarly, the OfferIdentifier associated will begin with the character 'O'.
For Hotel Create Reservation (Reference Payload), send the value from the Availability response in CatalogOffering/id or the value from SearchComplete returned in propertyItems/lowestPublicAvailableRate/rateKey/value.
Results from Hotel Availability and Hotel SearchComplete are stored in the cache for 30 minutes. If the offers expire before booking, you must send a new request.
    Example: A0656EFF-FAF4-456F-B061-0161008D7C4E

  - `ErrorResponse.Identifier.authority` (string)
    Name of the supplier system that created this identifier - the source of information.  
For AirPrice, please note that GDS offers return the value 'Travelport' in authority while NDC offers return the carrier code of the issuing NDC carrier.  
When returned from Air Exchange Eligibility, authority is always 'Travelport' as the transaction issuer.  
For Hotels, authority indicates which supplier returned the lowest available rate for that property: either 'TVPT' (Travelport) or 'BKNG' (booking.com). Booking.com access requires additional provisioning and a direct agreement with the supplier. Authority is not returned if the property is closed or returns an error.  
For Hotel Create Reservation (Full Payload) and Sync Reservation send the value from the Availability response in CatalogOffering/Identifier/authority for the instance you want to book.
    Example: TVPT

  - `ErrorResponse.NextSteps` (object)
    Container for the steps that describe actions that may be taken on the containing object.  
Not applicable for an Eligibility or Exchange response.

  - `ErrorResponse.NextSteps.baseURI` (string, required)
    The base portion of the URI in order to shorten the uris in the individual steps

  - `ErrorResponse.NextSteps.id` (string)
    Optional internally referenced id
    Example: 5

  - `ErrorResponse.NextSteps.NextStep` (array, required)

  - `ErrorResponse.NextSteps.NextStep.value` (string)
    Example: www.resourcelocation.com

  - `ErrorResponse.NextSteps.NextStep.id` (string)
    Identifier for the Next Step
    Example: 2

  - `ErrorResponse.NextSteps.NextStep.action` (string, required)
    The action this next step is intended to achieve
    Example: cancel

  - `ErrorResponse.NextSteps.NextStep.method` (string, required)
    Describes the set of potential methods that can be taken after an operation.
    Enum: "GET", "DELETE", "PUT", "POST"

  - `ErrorResponse.NextSteps.NextStep.description` (string)
    Additional clarification for the next step
    Example: remove offer from the order

  - `ErrorResponse.ReferenceList` (array)

  - `ErrorResponse.ReferenceList.@type` (string, required)
    Discriminator
- Air Search child classes are ReferenceListAmenity, ReferenceListBrand, ReferenceListFlight, ReferenceListProduct, ReferenceListTermsAndConditions, and ReferenceListUniversalProductAttribute.
- Air Price child classes are ReferenceListAmenity and ReferenceListBrand.
- FareRules child class is ReferenceListFlight.
- Search Ancillaries child class is ReferenceListFlight.
- Seat Map child class is ReferenceListSeatingChart.
- Hotel Availability child class is ReferenceListPropertyDates.
- Reservation and Reservation Workbench child classes are ReferenceListAmenity, ReferenceListBrand, and ReferenceListUniversalProductAttribute.
- Exchange Search child classes are ReferenceListBrand, ReferenceListFlight, and ReferenceListExchangedPrice.
- Reservation Receipt child classes are ReferenceListOffer and ReferenceListTraveler.
- Book_Traveler child class is ReferenceListTraveler.
    Example: ReferenceListFlight

  - `ErrorResponse.ReferenceList.id` (string)
    Uniquely identifies for the Reference List

  - `ErrorResponse.CurrencyRateConversion` (array)

  - `ErrorResponse.CurrencyRateConversion.@type` (string)

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency` (object, required)
    Currency codes are the three-letter alphabetic codes that represent the various currencies used throughout the world.  
Unless changed in the request, the currency is the default associated with your provisioned PCC from Travelport.  
For Hotel: SourceCurrency is based on the location of the hotel and used for all rates in the response. TargetCurrency is the currency code sent in the request in requestedCurrency.

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency.value` (string)
    An ISO 4217 currency code.
    Example: USD

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency.codeAuthority` (string)
    Currency code authority
    Example: ISO 4217

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency.decimalPlace` (integer)
    Number of decimal places for the currency.
    Example: 4

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency.decimalAuthority` (string)
    Currency code decimal authority
    Example: ISO 4217

  - `ErrorResponse.CurrencyRateConversion.ConversionRate` (object, required)
    Conversion rate of SourceCurrency value to TargetCurrency value. This value can be used to calculate, independently of the API, conversion for the rates in the response. The response does not convert any amounts.

  - `ErrorResponse.CurrencyRateConversion.ConversionRate.value` (number)

  - `ErrorResponse.CurrencyRateConversion.ConversionRate.rateAuthority` (string)
    Contextual rate authority
    Example: ISO 4217

  - `ErrorResponse.CurrencyRateConversion.ConversionRate.rateAsOf` (string)
    Rate as of
    Example: 2026-08-07T12:12:00Z

  - `ErrorResponse.Pagination` (object)
    Pagination object used when result sets span across a number of pages.

  - `ErrorResponse.Pagination.@type` (string, required)
    Example: Pagination

  - `ErrorResponse.Pagination.page` (integer, required)
    The current page number of the full result set
    Example: 1

  - `ErrorResponse.Pagination.pageSize` (integer, required)
    The total number of items on this page
    Example: 20

  - `ErrorResponse.Pagination.totalPages` (integer, required)
    The total number of pages in this result set
    Example: 5

  - `ErrorResponse.Pagination.totalItems` (integer, required)
    The total number of pages in this result set
    Example: 100

## Response 404 fields (application/json):

  - `ErrorResponse` (object)
    Base common error response

  - `ErrorResponse.@type` (string)
    Example: response

  - `ErrorResponse.transactionId` (string)
    A unique system-generated (128 bit GUID format) transaction/tracking id for a single request and response (i.e. for a single transaction) used for internal tracking and troubleshooting.  
Also known as E2ETrackingId.  
Not returned in all Hotel API responses.
    Example: 49f58f5f-c443-43b4-9f5d-be405fd00a01

  - `ErrorResponse.traceId` (string)
    Used in hospitality workflows to provide a unique transaction or tracking id for a single request and response.  
For Air Eligibility, returned if a custom trace ID was sent in the request header.  
For Hotel Rules, returned if a custom trace ID was sent in the request header.
    Example: TraceID_123456

  - `ErrorResponse.correlationId` (string)
    Identifier used to correlate hotel API invocations across a multi-call business flows.

  - `ErrorResponse.reservationStatus` (string)
    Status of reservation or offer completion.
    Enum: "Success", "Fail", "Partial", "Pending", "OnHold", "Retry", "Other"

  - `ErrorResponse.Result` (object)
    Returns the error and/or warning message information, if applicable.

  - `ErrorResponse.Result.@type` (string)
    Discriminator class Result only
    Example: Result

  - `ErrorResponse.Result.status` (string)
    The status of an error or warning
    Enum: "Not processed", "Incomplete", "Complete", "Unknown"

  - `ErrorResponse.Result.Error` (array)
    A list of error information returned at the provider level for a response.

  - `ErrorResponse.Result.Error.@type` (string, required)
    Discriminator classes Error or ErrorDetail
    Example: ErrorDetail

  - `ErrorResponse.Result.Error.StatusCode` (integer)
    Http standard response code
    Example: 200

  - `ErrorResponse.Result.Error.Message` (string)
    The Travelport standardized error or warning message
    Example: No flights found.

  - `ErrorResponse.Result.Error.NameValuePair` (array)

  - `ErrorResponse.Result.Error.NameValuePair.value` (string)
    Text directly related to name description, providing more detail. May have character restrictions based on remark type (e.g. Free Text limitations: 84 characters, alphanumeric and some special characters).
    Example: Sunday

  - `ErrorResponse.Result.Error.NameValuePair.id` (string)
    Optional internally referenced id
    Example: 6

  - `ErrorResponse.Result.Error.NameValuePair.name` (string, required)
    Key, categorizing the type of remark or error.
    Example: Day1

  - `ErrorResponse.Result.Warning` (array)
    A list of warning information returned at the provider level for a response.

  - `ErrorResponse.Result.Warning.@type` (string, required)
    Discriminator classes Warning or WarningDetail
    Example: WarningDetail

  - `ErrorResponse.Result.Warning.StatusCode` (integer)
    Http standard response code
    Example: 200

  - `ErrorResponse.Result.Warning.Message` (string)
    The Travelport standardized error or warning message
    Example: Customer Loyalty could not be applied.

  - `ErrorResponse.Result.Warning.NameValuePair` (array)

  - `ErrorResponse.Identifier` (object)
    A globally unique identifier key often used to reference a given option (such as Pricing, Booking, Rules, or additional workflows) or to retrieve information (such as Hotel pagination).

  - `ErrorResponse.Identifier.value` (string)
    Unique offer identifier that can be sent in subsequent payload requests to reference this offer.
When used for reference flight calls, the CatalogProductOfferingsIdentifier will be the transaction identifier from the Search, Next Leg Search, or Flight Specific Search response in CatalogProductOfferings/Identifier/value.
If you choose to pull the CatalogProductOfferingsIdentifier from the Price response instead (OfferListResponse/Identifier/value), either full or reference payload, please note for subsequent Add Offer requests you must remove the _PC appended to the end of the value in the AirPrice response (e.g., change value: '93d2091d-3d04-48ab-8091-6ae1525f02ea_PC' to value: '93d2091d-3d04-48ab-8091-6ae1525f02ea').
When building an AirPrice or Add Offer reference payload request:
- Look for the CatalogProductOfferingIdentifier (ex: o1) in a Search response at CatalogProductOfferings/CatalogProductOffering/id or a Price response at OfferListResponse/OfferID/id.
- Look for the ProductIdentifier (ex: p0) in a Search response at CatalogProductOfferings/CatalogProductOffering/ProductBrandOptions/ProductBrandOffering/Product/productRef or from a Price response at OfferListResponse/OfferID/Product/id.

When returned from a Workbench, this value is the workbench identifier that must be sent in all subsequent requests for this workbench session.
When returned from Air Exchange Eligibility, value is the ticket number sent with the eligibility request.
When used specifically for form of payment, the value will begin with the characters 'FOP'. Similarly, the OfferIdentifier associated will begin with the character 'O'.
For Hotel Create Reservation (Reference Payload), send the value from the Availability response in CatalogOffering/id or the value from SearchComplete returned in propertyItems/lowestPublicAvailableRate/rateKey/value.
Results from Hotel Availability and Hotel SearchComplete are stored in the cache for 30 minutes. If the offers expire before booking, you must send a new request.
    Example: A0656EFF-FAF4-456F-B061-0161008D7C4E

  - `ErrorResponse.Identifier.authority` (string)
    Name of the supplier system that created this identifier - the source of information.  
For AirPrice, please note that GDS offers return the value 'Travelport' in authority while NDC offers return the carrier code of the issuing NDC carrier.  
When returned from Air Exchange Eligibility, authority is always 'Travelport' as the transaction issuer.  
For Hotels, authority indicates which supplier returned the lowest available rate for that property: either 'TVPT' (Travelport) or 'BKNG' (booking.com). Booking.com access requires additional provisioning and a direct agreement with the supplier. Authority is not returned if the property is closed or returns an error.  
For Hotel Create Reservation (Full Payload) and Sync Reservation send the value from the Availability response in CatalogOffering/Identifier/authority for the instance you want to book.
    Example: TVPT

  - `ErrorResponse.NextSteps` (object)
    Container for the steps that describe actions that may be taken on the containing object.  
Not applicable for an Eligibility or Exchange response.

  - `ErrorResponse.NextSteps.baseURI` (string, required)
    The base portion of the URI in order to shorten the uris in the individual steps

  - `ErrorResponse.NextSteps.id` (string)
    Optional internally referenced id
    Example: 5

  - `ErrorResponse.NextSteps.NextStep` (array, required)

  - `ErrorResponse.NextSteps.NextStep.value` (string)
    Example: www.resourcelocation.com

  - `ErrorResponse.NextSteps.NextStep.id` (string)
    Identifier for the Next Step
    Example: 2

  - `ErrorResponse.NextSteps.NextStep.action` (string, required)
    The action this next step is intended to achieve
    Example: cancel

  - `ErrorResponse.NextSteps.NextStep.method` (string, required)
    Describes the set of potential methods that can be taken after an operation.
    Enum: "GET", "DELETE", "PUT", "POST"

  - `ErrorResponse.NextSteps.NextStep.description` (string)
    Additional clarification for the next step
    Example: remove offer from the order

  - `ErrorResponse.ReferenceList` (array)

  - `ErrorResponse.ReferenceList.@type` (string, required)
    Discriminator
- Air Search child classes are ReferenceListAmenity, ReferenceListBrand, ReferenceListFlight, ReferenceListProduct, ReferenceListTermsAndConditions, and ReferenceListUniversalProductAttribute.
- Air Price child classes are ReferenceListAmenity and ReferenceListBrand.
- FareRules child class is ReferenceListFlight.
- Search Ancillaries child class is ReferenceListFlight.
- Seat Map child class is ReferenceListSeatingChart.
- Hotel Availability child class is ReferenceListPropertyDates.
- Reservation and Reservation Workbench child classes are ReferenceListAmenity, ReferenceListBrand, and ReferenceListUniversalProductAttribute.
- Exchange Search child classes are ReferenceListBrand, ReferenceListFlight, and ReferenceListExchangedPrice.
- Reservation Receipt child classes are ReferenceListOffer and ReferenceListTraveler.
- Book_Traveler child class is ReferenceListTraveler.
    Example: ReferenceListFlight

  - `ErrorResponse.ReferenceList.id` (string)
    Uniquely identifies for the Reference List

  - `ErrorResponse.CurrencyRateConversion` (array)

  - `ErrorResponse.CurrencyRateConversion.@type` (string)

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency` (object, required)
    Currency codes are the three-letter alphabetic codes that represent the various currencies used throughout the world.  
Unless changed in the request, the currency is the default associated with your provisioned PCC from Travelport.  
For Hotel: SourceCurrency is based on the location of the hotel and used for all rates in the response. TargetCurrency is the currency code sent in the request in requestedCurrency.

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency.value` (string)
    An ISO 4217 currency code.
    Example: USD

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency.codeAuthority` (string)
    Currency code authority
    Example: ISO 4217

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency.decimalPlace` (integer)
    Number of decimal places for the currency.
    Example: 4

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency.decimalAuthority` (string)
    Currency code decimal authority
    Example: ISO 4217

  - `ErrorResponse.CurrencyRateConversion.ConversionRate` (object, required)
    Conversion rate of SourceCurrency value to TargetCurrency value. This value can be used to calculate, independently of the API, conversion for the rates in the response. The response does not convert any amounts.

  - `ErrorResponse.CurrencyRateConversion.ConversionRate.value` (number)

  - `ErrorResponse.CurrencyRateConversion.ConversionRate.rateAuthority` (string)
    Contextual rate authority
    Example: ISO 4217

  - `ErrorResponse.CurrencyRateConversion.ConversionRate.rateAsOf` (string)
    Rate as of
    Example: 2026-08-07T12:12:00Z

  - `ErrorResponse.Pagination` (object)
    Pagination object used when result sets span across a number of pages.

  - `ErrorResponse.Pagination.@type` (string, required)
    Example: Pagination

  - `ErrorResponse.Pagination.page` (integer, required)
    The current page number of the full result set
    Example: 1

  - `ErrorResponse.Pagination.pageSize` (integer, required)
    The total number of items on this page
    Example: 20

  - `ErrorResponse.Pagination.totalPages` (integer, required)
    The total number of pages in this result set
    Example: 5

  - `ErrorResponse.Pagination.totalItems` (integer, required)
    The total number of pages in this result set
    Example: 100

## Response 500 fields (application/json):

  - `ErrorResponse` (object)
    Base common error response

  - `ErrorResponse.@type` (string)
    Example: response

  - `ErrorResponse.transactionId` (string)
    A unique system-generated (128 bit GUID format) transaction/tracking id for a single request and response (i.e. for a single transaction) used for internal tracking and troubleshooting.  
Also known as E2ETrackingId.  
Not returned in all Hotel API responses.
    Example: 49f58f5f-c443-43b4-9f5d-be405fd00a01

  - `ErrorResponse.traceId` (string)
    Used in hospitality workflows to provide a unique transaction or tracking id for a single request and response.  
For Air Eligibility, returned if a custom trace ID was sent in the request header.  
For Hotel Rules, returned if a custom trace ID was sent in the request header.
    Example: TraceID_123456

  - `ErrorResponse.correlationId` (string)
    Identifier used to correlate hotel API invocations across a multi-call business flows.

  - `ErrorResponse.reservationStatus` (string)
    Status of reservation or offer completion.
    Enum: "Success", "Fail", "Partial", "Pending", "OnHold", "Retry", "Other"

  - `ErrorResponse.Result` (object)
    Returns the error and/or warning message information, if applicable.

  - `ErrorResponse.Result.@type` (string)
    Discriminator class Result only
    Example: Result

  - `ErrorResponse.Result.status` (string)
    The status of an error or warning
    Enum: "Not processed", "Incomplete", "Complete", "Unknown"

  - `ErrorResponse.Result.Error` (array)
    A list of error information returned at the provider level for a response.

  - `ErrorResponse.Result.Error.@type` (string, required)
    Discriminator classes Error or ErrorDetail
    Example: ErrorDetail

  - `ErrorResponse.Result.Error.StatusCode` (integer)
    Http standard response code
    Example: 200

  - `ErrorResponse.Result.Error.Message` (string)
    The Travelport standardized error or warning message
    Example: No flights found.

  - `ErrorResponse.Result.Error.NameValuePair` (array)

  - `ErrorResponse.Result.Error.NameValuePair.value` (string)
    Text directly related to name description, providing more detail. May have character restrictions based on remark type (e.g. Free Text limitations: 84 characters, alphanumeric and some special characters).
    Example: Sunday

  - `ErrorResponse.Result.Error.NameValuePair.id` (string)
    Optional internally referenced id
    Example: 6

  - `ErrorResponse.Result.Error.NameValuePair.name` (string, required)
    Key, categorizing the type of remark or error.
    Example: Day1

  - `ErrorResponse.Result.Warning` (array)
    A list of warning information returned at the provider level for a response.

  - `ErrorResponse.Result.Warning.@type` (string, required)
    Discriminator classes Warning or WarningDetail
    Example: WarningDetail

  - `ErrorResponse.Result.Warning.StatusCode` (integer)
    Http standard response code
    Example: 200

  - `ErrorResponse.Result.Warning.Message` (string)
    The Travelport standardized error or warning message
    Example: Customer Loyalty could not be applied.

  - `ErrorResponse.Result.Warning.NameValuePair` (array)

  - `ErrorResponse.Identifier` (object)
    A globally unique identifier key often used to reference a given option (such as Pricing, Booking, Rules, or additional workflows) or to retrieve information (such as Hotel pagination).

  - `ErrorResponse.Identifier.value` (string)
    Unique offer identifier that can be sent in subsequent payload requests to reference this offer.
When used for reference flight calls, the CatalogProductOfferingsIdentifier will be the transaction identifier from the Search, Next Leg Search, or Flight Specific Search response in CatalogProductOfferings/Identifier/value.
If you choose to pull the CatalogProductOfferingsIdentifier from the Price response instead (OfferListResponse/Identifier/value), either full or reference payload, please note for subsequent Add Offer requests you must remove the _PC appended to the end of the value in the AirPrice response (e.g., change value: '93d2091d-3d04-48ab-8091-6ae1525f02ea_PC' to value: '93d2091d-3d04-48ab-8091-6ae1525f02ea').
When building an AirPrice or Add Offer reference payload request:
- Look for the CatalogProductOfferingIdentifier (ex: o1) in a Search response at CatalogProductOfferings/CatalogProductOffering/id or a Price response at OfferListResponse/OfferID/id.
- Look for the ProductIdentifier (ex: p0) in a Search response at CatalogProductOfferings/CatalogProductOffering/ProductBrandOptions/ProductBrandOffering/Product/productRef or from a Price response at OfferListResponse/OfferID/Product/id.

When returned from a Workbench, this value is the workbench identifier that must be sent in all subsequent requests for this workbench session.
When returned from Air Exchange Eligibility, value is the ticket number sent with the eligibility request.
When used specifically for form of payment, the value will begin with the characters 'FOP'. Similarly, the OfferIdentifier associated will begin with the character 'O'.
For Hotel Create Reservation (Reference Payload), send the value from the Availability response in CatalogOffering/id or the value from SearchComplete returned in propertyItems/lowestPublicAvailableRate/rateKey/value.
Results from Hotel Availability and Hotel SearchComplete are stored in the cache for 30 minutes. If the offers expire before booking, you must send a new request.
    Example: A0656EFF-FAF4-456F-B061-0161008D7C4E

  - `ErrorResponse.Identifier.authority` (string)
    Name of the supplier system that created this identifier - the source of information.  
For AirPrice, please note that GDS offers return the value 'Travelport' in authority while NDC offers return the carrier code of the issuing NDC carrier.  
When returned from Air Exchange Eligibility, authority is always 'Travelport' as the transaction issuer.  
For Hotels, authority indicates which supplier returned the lowest available rate for that property: either 'TVPT' (Travelport) or 'BKNG' (booking.com). Booking.com access requires additional provisioning and a direct agreement with the supplier. Authority is not returned if the property is closed or returns an error.  
For Hotel Create Reservation (Full Payload) and Sync Reservation send the value from the Availability response in CatalogOffering/Identifier/authority for the instance you want to book.
    Example: TVPT

  - `ErrorResponse.NextSteps` (object)
    Container for the steps that describe actions that may be taken on the containing object.  
Not applicable for an Eligibility or Exchange response.

  - `ErrorResponse.NextSteps.baseURI` (string, required)
    The base portion of the URI in order to shorten the uris in the individual steps

  - `ErrorResponse.NextSteps.id` (string)
    Optional internally referenced id
    Example: 5

  - `ErrorResponse.NextSteps.NextStep` (array, required)

  - `ErrorResponse.NextSteps.NextStep.value` (string)
    Example: www.resourcelocation.com

  - `ErrorResponse.NextSteps.NextStep.id` (string)
    Identifier for the Next Step
    Example: 2

  - `ErrorResponse.NextSteps.NextStep.action` (string, required)
    The action this next step is intended to achieve
    Example: cancel

  - `ErrorResponse.NextSteps.NextStep.method` (string, required)
    Describes the set of potential methods that can be taken after an operation.
    Enum: "GET", "DELETE", "PUT", "POST"

  - `ErrorResponse.NextSteps.NextStep.description` (string)
    Additional clarification for the next step
    Example: remove offer from the order

  - `ErrorResponse.ReferenceList` (array)

  - `ErrorResponse.ReferenceList.@type` (string, required)
    Discriminator
- Air Search child classes are ReferenceListAmenity, ReferenceListBrand, ReferenceListFlight, ReferenceListProduct, ReferenceListTermsAndConditions, and ReferenceListUniversalProductAttribute.
- Air Price child classes are ReferenceListAmenity and ReferenceListBrand.
- FareRules child class is ReferenceListFlight.
- Search Ancillaries child class is ReferenceListFlight.
- Seat Map child class is ReferenceListSeatingChart.
- Hotel Availability child class is ReferenceListPropertyDates.
- Reservation and Reservation Workbench child classes are ReferenceListAmenity, ReferenceListBrand, and ReferenceListUniversalProductAttribute.
- Exchange Search child classes are ReferenceListBrand, ReferenceListFlight, and ReferenceListExchangedPrice.
- Reservation Receipt child classes are ReferenceListOffer and ReferenceListTraveler.
- Book_Traveler child class is ReferenceListTraveler.
    Example: ReferenceListFlight

  - `ErrorResponse.ReferenceList.id` (string)
    Uniquely identifies for the Reference List

  - `ErrorResponse.CurrencyRateConversion` (array)

  - `ErrorResponse.CurrencyRateConversion.@type` (string)

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency` (object, required)
    Currency codes are the three-letter alphabetic codes that represent the various currencies used throughout the world.  
Unless changed in the request, the currency is the default associated with your provisioned PCC from Travelport.  
For Hotel: SourceCurrency is based on the location of the hotel and used for all rates in the response. TargetCurrency is the currency code sent in the request in requestedCurrency.

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency.value` (string)
    An ISO 4217 currency code.
    Example: USD

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency.codeAuthority` (string)
    Currency code authority
    Example: ISO 4217

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency.decimalPlace` (integer)
    Number of decimal places for the currency.
    Example: 4

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency.decimalAuthority` (string)
    Currency code decimal authority
    Example: ISO 4217

  - `ErrorResponse.CurrencyRateConversion.ConversionRate` (object, required)
    Conversion rate of SourceCurrency value to TargetCurrency value. This value can be used to calculate, independently of the API, conversion for the rates in the response. The response does not convert any amounts.

  - `ErrorResponse.CurrencyRateConversion.ConversionRate.value` (number)

  - `ErrorResponse.CurrencyRateConversion.ConversionRate.rateAuthority` (string)
    Contextual rate authority
    Example: ISO 4217

  - `ErrorResponse.CurrencyRateConversion.ConversionRate.rateAsOf` (string)
    Rate as of
    Example: 2026-08-07T12:12:00Z

  - `ErrorResponse.Pagination` (object)
    Pagination object used when result sets span across a number of pages.

  - `ErrorResponse.Pagination.@type` (string, required)
    Example: Pagination

  - `ErrorResponse.Pagination.page` (integer, required)
    The current page number of the full result set
    Example: 1

  - `ErrorResponse.Pagination.pageSize` (integer, required)
    The total number of items on this page
    Example: 20

  - `ErrorResponse.Pagination.totalPages` (integer, required)
    The total number of pages in this result set
    Example: 5

  - `ErrorResponse.Pagination.totalItems` (integer, required)
    The total number of pages in this result set
    Example: 100

